# stUsdc

## Overview

Staked USDC is an rebasing auto-compounding LST for Circle's USDC and Bloom TBYs. The interface below is only available for the Arbitrum deployment of the protocol.&#x20;

## Contract API

### `depositTby`

```solidity
function depositTby(uint256 id, uint256 amount) external returns (uint256 amountMinted);
```

Deposit a specified `amount` of `TBY`s to mint `stUsdc`.

### `depositAsset`

```solidity
function depositAsset(uint256 amount) external returns (uint256 amountMinted);
```

Deposit a specified `amount` of `underlyingToken` to mint `stUsdc`.

### `redeemStUsdc`

```solidity
function redeemStUsdc(uint256 amount) external returns (uint256 underlyingAmount);
```

Redeem `stUsdc` in exchange for `underlyingTokens`

### `poke`

```solidity
function poke(LzSettings calldata settings) external;
```

Invokes the auto stake feature as well as updates the value accrual.

### `wstUsdc`

```solidity
function wstUsdc() external view returns (IWstUsdc);
```

Returns the `wstUsdc` contract instance.

### `asset`

```solidity
function asset() external view returns (IERC20);
```

Returns the `underlyingToken` contract instance.

### `stakeUpStaking`

```solidity
function stakeUpStaking() external view returns (IStakeUpStaking);
```

Returns the `StakeUpStaking` contract instance.

### `performanceBps`

```solidity
function performanceBps() external view returns (uint256);
```

Returns the performance Bps variable.&#x20;

### `lastRedeemedTbyId`

```solidity
function lastRedeemedTbyId() external view returns (uint256);
```

Returns the last redeemed `tbyId`.

### `globalShares`

```solidity
function globalShares() external view returns (uint256);
```

The total shares of `stUSDC` tokens in circulation on all chains.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stakeup.finance/technical-docs/smart-contracts/tokens/stusdc.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
